import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var UploadLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-uploadLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3 8.5v4.498h10V8.5h1V14H2V8.5h1zm5.01-6.497l3.66 3.66-.707.707L8.5 3.907v6.552h-1v-6.53L5.065 6.365l-.708-.709L8.01 2.003z",
    fill: "currentColor"
  }))));
});
UploadLine.displayName = "UploadLine";
export default UploadLine;